/*
 * FormulaValidator.hpp
 *
 *  Created on: May 9, 2012
 *      Author: heber
 */

#ifndef FORMULAVALIDATOR_HPP_
#define FORMULAVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/Validator.hpp"

/** This validator checks whether the given string contains a valid chemical
 * formula.
 */
class FormulaValidator : public Validator< std::string >
{
  bool isValid(const std::string & _value) const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
};

#endif /* FORMULAVALIDATOR_HPP_ */
